## lua-expat 1.5.2

=== Makefile ===
CC		?= cc
RM		?= rm -rf
INSTALL		?= install
INSTALL_PROGRAM	?= $(INSTALL)
INSTALL_DATA	?= $(INSTALL) -m 644
LUA_V		?= 5.4
LUA_LDIR	?= /usr/share/lua/$(LUA_V)
LUA_CDIR	?= /usr/lib/lua/$(LUA_V)
T		= lxp
LIBNAME		= $(T).so

COMMON_CFLAGS	 = -g -pedantic -Wall -O2 -fPIC -DPIC
LUA_INC		?= -I/usr/include/lua$(LUA_V)
EXPAT_INC	?= -I/usr/include
CF		 = $(LUA_INC) $(EXPAT_INC) $(COMMON_CFLAGS) $(CFLAGS)

EXPAT_LIB	 = -lexpat
COMMON_LDFLAGS	 = -shared
LF		 = $(COMMON_LDFLAGS) $(EXPAT_LIB) $(LDFLAGS)

OBJS		 = src/lxplib.o

lib: src/$(LIBNAME)

src/$(LIBNAME):
	export MACOSX_DEPLOYMENT_TARGET="10.3";
	$(CC) $(CF) $(RPM_OPT_FLAGS) $(RPM_LD_FLAGS) -o $@ src/$(T)lib.c $(LF)

install:
	$(INSTALL_PROGRAM) -D src/$(LIBNAME) $(DESTDIR)$(LUA_CDIR)/$(LIBNAME)
	$(INSTALL_DATA) -D src/$T/lom.lua $(DESTDIR)$(LUA_LDIR)/$T/lom.lua
	$(INSTALL_DATA) -D src/$T/totable.lua $(DESTDIR)$(LUA_LDIR)/$T/totable.lua
	$(INSTALL_DATA) -D src/$T/threat.lua $(DESTDIR)$(LUA_LDIR)/$T/threat.lua

clean:
	$(RM) src/$(LIBNAME) $(OBJS)
	$(RM) ./$(LIBNAME)

## lua-expat 1.2.0

=== debian/changelog ===
lua-expat (1.2.0-6) unstable; urgency=low

  * Packaging moved to git
  * Remove transitional packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 09:58:50 +0200

lua-expat (1.2.0-5) unstable; urgency=low

  * Clean up debian/rules
  * Build depend on dh-lua >= 12 
  * Copyright file ported to 1.0 format 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 09:56:34 +0200

lua-expat (1.2.0-4) unstable; urgency=low

  * Removed build dependency over shake that is lua5.1 only
  * Bump Standards-Version to 3.9.3, no changes
  * Switch to dh-lua
  * Packages renamed according to the new lua policy
  * Add patch lua5.2.patch adding support for lua5.2
  * Copyright file ported to dep5 format
  * Updated upstream contact infos

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Apr 2012 16:39:20 +0200

lua-expat (1.2.0-3) unstable; urgency=low

  * source format 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 17:52:15 +0200

lua-expat (1.2.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2, no changes
  * Multi-Arch compliant (build-depend on lua-policy >= 32 and dh >= 8.1.3)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 21:48:31 +0200

lua-expat (1.2.0-1) unstable; urgency=high

  * new upstream release adding APIs to prevent the “billion laughs” 
    denial-of-service attack (Closes: #629225)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 04 Jun 2011 18:02:33 +0200

lua-expat (1.1.0-4) unstable; urgency=low

  * depend on lua5.1-policy-dev >= 27 to kill all .la files (Closes: #620600)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 31 May 2011 09:48:40 +0200

lua-expat (1.1.0-3) unstable; urgency=low

  * depend on lua5.1-policy-dev >= 22
  * changed lua to Lua in the package description
  * bumped standards-version to 3.8.2, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 12:48:09 +0200

lua-expat (1.1.0-2) unstable; urgency=low

  * Renamed cdbs deprecated variable
  * Vcs- fields fixed
  * Use shake to run compilation tests
  * Added Homepage control field
  * Removed dpatch build dependency
  * Moved -dev package in section libdevel

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 18 Mar 2008 17:12:50 +0100

lua-expat (1.1.0-1) unstable; urgency=low

  * new upstream release, works out of the box with lua5.1

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Jun 2007 18:42:44 +0200

lua-expat (1.0.2-5) unstable; urgency=low

  * Updated to policy 10 that fixes clean target (Closes: #424551)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 16 May 2007 16:20:50 +0200

lua-expat (1.0.2-4) unstable; urgency=low

  * made control file binNMU safe
  * Added a note about the documentation shipped within the -dev package
    in the control file
  * Added call to lua5.1-policy-apply --reverse in the clean:: hook

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon,  8 Jan 2007 17:32:37 +0100

lua-expat (1.0.2-3) unstable; urgency=low

  * Moved to policy version 7 
  * The FTBFS bug #405990 is because of an incompatibility with the policy 
    version 7 that is not in etch. This incompatibility has been fixed
    (Closes: #405990)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon,  8 Jan 2007 17:30:34 +0100

lua-expat (1.0.2-2) unstable; urgency=low

  * added XS-X-Vcs-svn field to control.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun,  3 Sep 2006 10:26:13 +0200

lua-expat (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #384350)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 23 Aug 2006 20:12:16 +0200

=== debian/control ===
Source: lua-expat
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 12), libexpat1-dev
Standards-Version: 3.9.3
Homepage: http://matthewwild.co.uk/projects/luaexpat/
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-expat.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-expat.git

Package: lua-expat
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblua5.1-expat0, ${lua:Provides}
Replaces: liblua5.1-expat0 (<< 1.2.0-4~)
Breaks: liblua5.1-expat0 (<< 1.2.0-4~)
XB-Lua-Versions: ${lua:Versions}
Description: libexpat bindings for the Lua language
 This package contains the bindings for the expat library.

Package: lua-expat-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, lua-expat (= ${binary:Version})
Replaces: liblua5.1-expat-dev (<< 1.2.0-4~)
Breaks: liblua5.1-expat-dev (<< 1.2.0-4~)
Provides: liblua5.1-expat-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: libexpat development files for the Lua language
 This package contains the development files of the libexpat Lua bindings,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

## lua-expat 1.3.0

=== debian/changelog ===
lua-expat (1.3.0-4) unstable; urgency=medium

  * Enable build for Lua 5.3 (Closes: #827069)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 30 Dec 2016 11:53:10 +0100

lua-expat (1.3.0-3) unstable; urgency=medium

  * Do not Pre-Depend on multiarch-support 
  * remove transition package leftover 
  * Remove xml validation tag in doc/

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 22:04:53 +0200

lua-expat (1.3.0-2) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723488)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:51 +0200

lua-expat (1.3.0-1) unstable; urgency=high

  * New upstream release including a security fix (DOS prevention)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 05 Apr 2014 12:31:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,9 @@
 Package: lua-expat
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: liblua5.1-expat0, ${lua:Provides}
-Replaces: liblua5.1-expat0 (<< 1.2.0-4~)
-Breaks: liblua5.1-expat0 (<< 1.2.0-4~)
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: libexpat bindings for the Lua language
  This package contains the bindings for the expat library.
@@ -23,11 +21,9 @@
 Package: lua-expat-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, lua-expat (= ${binary:Version})
-Replaces: liblua5.1-expat-dev (<< 1.2.0-4~)
-Breaks: liblua5.1-expat-dev (<< 1.2.0-4~)
-Provides: liblua5.1-expat-dev, ${lua:Provides}
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Section: libdevel
 Description: libexpat development files for the Lua language

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package luaexpat
#
version=3
http://luaforge.net/frs/?group_id=13 \
	/frs/download.php/\d+/luaexpat-([\d\.]*).tar.gz

## lua-expat 1.4.1

=== debian/changelog ===
lua-expat (1.4.1-1) unstable; urgency=medium

  * update homepage and source
  * New upstream version 1.4.1
  * remove patches
  * tests are busted based
  * new docs

 -- Victor Seva <vseva@debian.org>  Tue, 28 Jun 2022 14:14:16 +0200

lua-expat (1.3.0-5) unstable; urgency=medium

  [ Kim Alvefur ]
  * Enable Lua 5.4 support

  [ Victor Seva ]
  * wrap-and-sort -sat
  * update Vcs-* links to salsa
  * update watch
  * Lua team as maintainer, me as uploader (Closes: #995506)
  * debhelper 13
  * update copyright
  * delete trailing whitespaces from changelog
  * add Rules-Requires-Root

 -- Victor Seva <vseva@debian.org>  Fri, 14 Jan 2022 13:47:24 +0100

=== debian/control ===
Source: lua-expat
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua (>= 12),
 libexpat1-dev,
 lua-busted <!nocheck>,
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://github.com/lunarmodules/luaexpat/
Vcs-Git: https://salsa.debian.org/lua-team/lua-expat.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-expat

Package: lua-expat
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: libexpat bindings for the Lua language
 This package contains the bindings for the expat library.

Package: lua-expat-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-expat (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: libexpat development files for the Lua language
 This package contains the development files of the libexpat Lua bindings,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

## lua-expat 1.5.0

=== debian/changelog ===
lua-expat (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Victor Seva <vseva@debian.org>  Tue, 06 Sep 2022 15:12:01 +0200

## lua-expat 1.5.1

=== debian/changelog ===
lua-expat (1.5.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Dec 2022 18:19:39 +0000

lua-expat (1.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:43:59 +0000

lua-expat (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Victor Seva <vseva@debian.org>  Tue, 25 Oct 2022 23:49:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-lua (>= 12),
+ dh-lua,
  libexpat1-dev,
  lua-busted <!nocheck>,
 Standards-Version: 4.6.0.1

## lua-expat 1.5.2

=== debian/changelog ===
lua-expat (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * update Standards-Version to 4.7.0, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 09 Jul 2024 23:22:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-lua,
  libexpat1-dev,
  lua-busted <!nocheck>,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/lunarmodules/luaexpat/
 Vcs-Git: https://salsa.debian.org/lua-team/lua-expat.git

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package luaexpat
#
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/luaexpat-$1\.tar\.gz/ \
  https://github.com/lunarmodules/luaexpat/tags .*/v?(\d\S+)\.tar\.gz
